--[[
Don't edit or remove this comment block! It is used by the editor to store information since i'm too lazy to write a good LUA parser... -Haz
SETTINGS
RestrictedEnhancements=ResourceAllocation,DamageStablization,AdvancedEngineering,T3Engineering,HeavyAntiMatterCannon,LeftPod,RightPod,Shield,ShieldGeneratorField,TacticalMissile,TacticalNukeMissile,Teleporter
RestrictedCategories=MASSFABRICATION,EXPERIMENTAL,UEB0102,UEB0103,UEB0201,URB0102,URB0103,URB0201,UAB0102,UAB0103,UAB0201
END
--]]

local ScenarioUtils = import('/lua/sim/ScenarioUtilities.lua')
local ScenarioFramework = import('/lua/ScenarioFramework.lua')

function OnPopulate()
  ScenarioUtils.InitializeArmies()
end

function OnStart(self)
  ScenarioFramework.RestrictEnhancements({
    'ResourceAllocation',
    'DamageStablization',
    'AdvancedEngineering',
    'T3Engineering',
    'HeavyAntiMatterCannon',
    'LeftPod',
    'RightPod',
    'Shield',
    'ShieldGeneratorField',
    'TacticalMissile',
    'TacticalNukeMissile',
    'Teleporter',
  })
  ScenarioFramework.AddRestriction(1, categories.MASSFABRICATION)
  ScenarioFramework.AddRestriction(1, categories.EXPERIMENTAL)
  ScenarioFramework.AddRestriction(1, categories.UEB0102)
  ScenarioFramework.AddRestriction(1, categories.UEB0103)
  ScenarioFramework.AddRestriction(1, categories.UEB0201)
  ScenarioFramework.AddRestriction(1, categories.URB0102)
  ScenarioFramework.AddRestriction(1, categories.URB0103)
  ScenarioFramework.AddRestriction(1, categories.URB0201)
  ScenarioFramework.AddRestriction(1, categories.UAB0102)
  ScenarioFramework.AddRestriction(1, categories.UAB0103)
  ScenarioFramework.AddRestriction(1, categories.UAB0201)
  ScenarioFramework.AddRestriction(2, categories.MASSFABRICATION)
  ScenarioFramework.AddRestriction(2, categories.EXPERIMENTAL)
  ScenarioFramework.AddRestriction(2, categories.UEB0102)
  ScenarioFramework.AddRestriction(2, categories.UEB0103)
  ScenarioFramework.AddRestriction(2, categories.UEB0201)
  ScenarioFramework.AddRestriction(2, categories.URB0102)
  ScenarioFramework.AddRestriction(2, categories.URB0103)
  ScenarioFramework.AddRestriction(2, categories.URB0201)
  ScenarioFramework.AddRestriction(2, categories.UAB0102)
  ScenarioFramework.AddRestriction(2, categories.UAB0103)
  ScenarioFramework.AddRestriction(2, categories.UAB0201)
end
